cancel
Showing results for 
Search instead for 
Did you mean: 

Compatible Browser Update

Honored Contributor

We have made an update to the browsers that are compatible with Constant Contact.  We are no longer supporting Internet Explorer version 9.  If you currently use this version of Internet Explorer, you will need to update to version 10 or 11 or utilize a different browser to access your Constant Contact account.  

 

If you attempt to login to your account using Internet Explorer 9 you may see a screen like below directing you to download a new browser or upgrade your existing browser.  You will not be able to work within your account until one of these actions is completed.  If you want to see a complete list of compatible browsers, take a look here

 

2016-03-09_0811.png

 

If you have any questions about this, please let us know!  

Samantha_O

Former Community Manager at Constant Contact.